Bug 865548 - Cloud image list loads all images after 15 seconds
Cloud image list loads all images after 15 seconds
Product: CloudForms Cloud Engine
Classification: Red Hat
Component: aeolus-conductor (Show other bugs)
x86_64 Linux
unspecified Severity low
: beta6
: ---
Assigned To: Imre Farkas
Aziza Karol
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2012-10-11 14:04 EDT by Aaron Weitekamp
Modified: 2016-09-20 01:03 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The image list for a cloud loads all images from all clouds after 15 seconds. This update fixes auto-updating image list for any given environment and, as a result, the cloud image list loads only images related to that particular cloud after auot-update.
Story Points: ---
Clone Of:
Last Closed: 2012-12-04 10:08:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Initial image list--correct (114.75 KB, image/jpeg)
2012-10-11 14:04 EDT, Aaron Weitekamp
no flags Details
after 15 seconds, all images listed (180.73 KB, image/jpeg)
2012-10-11 14:05 EDT, Aaron Weitekamp
no flags Details
aeolus-debug logs (12.39 MB, application/x-gzip)
2012-10-11 14:24 EDT, Aaron Weitekamp
no flags Details

  None (edit)
Description Aaron Weitekamp 2012-10-11 14:04:58 EDT
Created attachment 625620 [details]
Initial image list--correct

Description of problem:
I have several images in several clouds. When I select a cloud then list the images, it displays the correct images for the selected cloud. However after about 15 seconds all images for all clouds are displayed.

Version-Release number of selected component (if applicable):
[root@qeblade40 Dev]# rpm -qa |grep aeolus

How reproducible:

Steps to Reproduce: (I usually have a box setup with reproducer)
1. Create >1 clouds
2. Create 1+ pool(s) within each cloud
3. Create provider accounts
4. Enable at least one provider provider for each cloud
5. Create 1+ image(s) for each cloud
6. Nav to a cloud, select images

Actual results:
Correct image list initially display, then all images are displayed after ~15 seconds. See screencaps.

Expected results:

Additional info:
Comment 1 Aaron Weitekamp 2012-10-11 14:05:23 EDT
Created attachment 625622 [details]
after 15 seconds, all images listed
Comment 3 Aaron Weitekamp 2012-10-11 14:24:05 EDT
Created attachment 625624 [details]
aeolus-debug logs

A new query is being called (see rails.log). It's being polled every 30 seconds. I believe subsequent queries aren't specific enough.

Initial query:
  CACHE (0.0ms)  SELECT COUNT(*) FROM "pools" WHERE ("pools".pool_family_id = 3)
  PoolFamily Load (0.4ms)  SELECT "pool_families".* FROM "pool_families" WHERE "pool_families"."name" = 'Test' LIMIT 1
Comment 4 Imre Farkas 2012-10-17 11:24:52 EDT
Pull request sent: https://github.com/aeolusproject/conductor/pull/131
Comment 5 Matt Wagner 2012-10-19 15:43:05 EDT
On master and 1.1:

commit 4ff352f8f964ebcf7e8ddcef9b11eee59365233e
Author: Imre Farkas <ifarkas@redhat.com>
Date:   Wed Oct 17 17:17:11 2012 +0200

    BZ865548: fix autoupdating image list for given environment
    (cherry picked from commit b91d233a5583b74992cb5cbeec493e2303192d3c)
Comment 7 Aziza Karol 2012-10-25 07:32:27 EDT
Cloud image list loads only images related to that particular cloud after auotoupdate.

rpm -qa | grep aeolus
Comment 9 errata-xmlrpc 2012-12-04 10:08:27 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.